Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.query.callbacks
Class DB2SqlSelectQueryCallback

    java.lang.Object
      com.ibm.websphere.query.callbacks.SqlSelectQueryCallback
          com.ibm.websphere.query.callbacks.DB2SqlSelectQueryCallback

All Implemented Interfaces:
  ISelectQueryCallback, java.io.Serializable

Direct Known Subclasses:
  DB2390SqlSelectQueryCallback, DB2400SqlSelectQueryCallback

    public class DB2SqlSelectQueryCallback

extends SqlSelectQueryCallback

The DB2SqlSelectQueryCallback class is a query builder callback that adds limit functionality to DB2 queries.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `SQL_QUERY_LIMITHEAD`
`static java.lang.String` | `SQL_QUERY_LIMITTAIL`

Fields inherited from class com.ibm.websphere.query.callbacks.SqlSelectQueryCallback
`MULTIVALUE_SINGLEOPERAND_OPERATOR_SET, objectMapping, OPERATOR_MAP, propertyColumnMap, propertyTypeMap, SINGLEOPERAND_NONNULL_OPERATOR_SET, SQL_QUERY_AND, SQL_QUERY_ARITHMETIC_ADD, SQL_QUERY_ARITHMETIC_DIVIDE, SQL_QUERY_ARITHMETIC_MULTIPLY, SQL_QUERY_ARITHMETIC_SUBTRACT, SQL_QUERY_BTW, SQL_QUERY_COMMA, SQL_QUERY_CONDITIONHEAD, SQL_QUERY_CONDITIONTAIL, SQL_QUERY_DELETE, SQL_QUERY_DOT, SQL_QUERY_EQ, SQL_QUERY_FROM, SQL_QUERY_GEQ, SQL_QUERY_GT, SQL_QUERY_IN, SQL_QUERY_IS, SQL_QUERY_ISN, SQL_QUERY_ISNNULL, SQL_QUERY_ISNULL, SQL_QUERY_LEFTPAREN, SQL_QUERY_LEQ, SQL_QUERY_LIKE, SQL_QUERY_LOWER, SQL_QUERY_LT, SQL_QUERY_MVALL, SQL_QUERY_MVANY, SQL_QUERY_NEQ, SQL_QUERY_NOT_LIKE, SQL_QUERY_NULL, SQL_QUERY_OR, SQL_QUERY_ORDERBYASC, SQL_QUERY_ORDERBYASIS, SQL_QUERY_ORDERBYDES, SQL_QUERY_ORDERBYEXPSEP, SQL_QUERY_ORDERBYHEAD, SQL_QUERY_ORDERBYRANDOM, SQL_QUERY_ORDERBYTAIL, SQL_QUERY_PREDICATEHEAD, SQL_QUERY_PREDICATETAIL, SQL_QUERY_RIGHTPAREN, SQL_QUERY_SELECT, SQL_QUERY_SELECT_ALL, SQL_QUERY_SPACE, SQL_QUERY_SPACEAND, SQL_QUERY_SPACEOR, SQL_QUERY_STRINGSEP, SQL_QUERY_UPPER, SQL_QUERY_WHERE, SQL_QUERY_WHERETAIL, SQL_QUERY_WILDCARD`

Fields inherited from interface com.ibm.websphere.query.base.ISelectQueryCallback
`JOIN_CONDITIONS, JOIN_TABLES, JOINS, LAST_TABLE_ALIAS_INTEGER, MULTIVALUE_PROPERTY_NAMES, NAME_MAPPING, PREDICATE_IS_NULL, SELECT_ATTRIBUTES, TABLE_MAP, TABLE_NAME, TYPE_MAPPING`

Constructor Summary
`DB2SqlSelectQueryCallback()` Constructor for DB2SqlSelectQueryCallback.
`DB2SqlSelectQueryCallback(java.util.Hashtable nameMapping)`
`DB2SqlSelectQueryCallback(java.util.Map nameMapping, java.util.Map typeMapping)`

Method Summary
`void` | `buildLimit(ISelectQuery selectQuery, java.lang.StringBuffer sb, java.util.Map metadata)`

Methods inherited from class com.ibm.websphere.query.callbacks.SqlSelectQueryCallback
`buildArithmeticCondition, buildArithmeticCondition, buildAttribute, buildAttribute, buildCondition, buildCondition, buildFrom, buildFrom, buildFunction, buildFunction, buildInnerSelect, buildJoin, buildLimit, buildLimit, buildLimit, buildLimit, buildMultiValueJoins, buildOperator, buildOperator, buildOrderBy, buildOrderBy, buildOrderBy, buildOrderBy, buildOrderByExpression, buildOrderByExpression, buildPredicate, buildPredicate, buildPredicate, buildPredicate, buildQuery, buildSelect, buildSelect, buildSelectQuery, buildSelectQuery, buildSMVCondition, buildTable, buildValue, buildValue, getMultiValuePropertyNameSet, getNameMapping, getNullCast, getTableAlias, getTableName, getTypeMapping, isMultiValueAttribute, makeQuerySafeValue, processMvAll, processMvAny, processSMVBetween, processSMVIn, processSMVSingle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQL_QUERY_LIMITHEAD

    public static final java.lang.String SQL_QUERY_LIMITHEAD

See Also:
  Constant Field Values

### SQL_QUERY_LIMITTAIL

    public static final java.lang.String SQL_QUERY_LIMITTAIL

See Also:
  Constant Field Values

Constructor Detail

### DB2SqlSelectQueryCallback

    public DB2SqlSelectQueryCallback()

  Constructor for DB2SqlSelectQueryCallback.

  Parameters:
    `nameMapping` -
    `typeMapping` -

### DB2SqlSelectQueryCallback

    public DB2SqlSelectQueryCallback(java.util.Hashtable nameMapping)

### DB2SqlSelectQueryCallback

    public DB2SqlSelectQueryCallback(java.util.Map nameMapping,
                                     java.util.Map typeMapping)

Method Detail

### buildLimit

    public void buildLimit(ISelectQuery selectQuery,
                           java.lang.StringBuffer sb,
                           java.util.Map metadata)
                    throws QueryException

  Throws:
    `QueryException`
  See Also:
    `ISelectQueryCallback#buildLimit(ISelectQuery)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD